Package com.ocient.jdbc.proto

# Enum ClientWireProtocol.SetParameter.ParameterCase

java.lang.Object
java.lang.Enum<ClientWireProtocol.SetParameter.ParameterCase>
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.ParameterCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<ClientWireProtocol.SetParameter.ParameterCase>`, `java.lang.constant.Constable`

Enclosing class:
  ClientWireProtocol.SetParameter

    public static enum ClientWireProtocol.SetParameter.ParameterCase
    extends Enum<ClientWireProtocol.SetParameter.ParameterCase>
    implements com.google.protobuf.Internal.EnumLite

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`CONCURRENCY` |
`FORCE_EXTERNAL` |
`MEMORY_TRACING` |
`PARAMETER_NOT_SET` |
`PRIORITY` |
`PRIORITY_ADJUST_FACTOR` |
`PRIORITY_ADJUST_TIME` |
`PSO_SEED` |
`PSO_THRESHOLD` |
`RESULT_SET_COLUMN_LIMIT` |
`ROW_LIMIT` |
`SERVICE_CLASS_NAME` |
`TEMP_DISK_LIMIT` |
`TIME_LIMIT` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ClientWireProtocol.SetParameter.ParameterCase` | `forNumber​(int value)` |
`int` | `getNumber()` |
`static ClientWireProtocol.SetParameter.ParameterCase` | `valueOf​(int value)` | Deprecated.
`static ClientWireProtocol.SetParameter.ParameterCase` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.SetParameter.ParameterCase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PSO_THRESHOLD

public static final ClientWireProtocol.SetParameter.ParameterCase PSO_THRESHOLD

### ROW_LIMIT

public static final ClientWireProtocol.SetParameter.ParameterCase ROW_LIMIT

### TIME_LIMIT

public static final ClientWireProtocol.SetParameter.ParameterCase TIME_LIMIT

### TEMP_DISK_LIMIT

public static final ClientWireProtocol.SetParameter.ParameterCase TEMP_DISK_LIMIT

### PRIORITY

public static final ClientWireProtocol.SetParameter.ParameterCase PRIORITY

### CONCURRENCY

public static final ClientWireProtocol.SetParameter.ParameterCase CONCURRENCY

### PSO_SEED

public static final ClientWireProtocol.SetParameter.ParameterCase PSO_SEED

### RESULT_SET_COLUMN_LIMIT

public static final ClientWireProtocol.SetParameter.ParameterCase RESULT_SET_COLUMN_LIMIT

### FORCE_EXTERNAL

public static final ClientWireProtocol.SetParameter.ParameterCase FORCE_EXTERNAL

### PRIORITY_ADJUST_FACTOR

public static final ClientWireProtocol.SetParameter.ParameterCase PRIORITY_ADJUST_FACTOR

### PRIORITY_ADJUST_TIME

public static final ClientWireProtocol.SetParameter.ParameterCase PRIORITY_ADJUST_TIME

### SERVICE_CLASS_NAME

public static final ClientWireProtocol.SetParameter.ParameterCase SERVICE_CLASS_NAME

### MEMORY_TRACING

public static final ClientWireProtocol.SetParameter.ParameterCase MEMORY_TRACING

### PARAMETER_NOT_SET

public static final ClientWireProtocol.SetParameter.ParameterCase PARAMETER_NOT_SET

## Method Details

### values

public static ClientWireProtocol.SetParameter.ParameterCase[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClientWireProtocol.SetParameter.ParameterCase valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static ClientWireProtocol.SetParameter.ParameterCase valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.SetParameter.ParameterCase forNumber​(int value)

### getNumber

public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`